Package edu.msu.cme.rdp.classifier.train

# Class LineageSequenceParser

java.lang.Object
edu.msu.cme.rdp.classifier.train.LineageSequenceParser

public class LineageSequenceParser extends Object
A parser to parse a reader containing the raw sequences.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`delimiter`

## Constructor Summary

Constructors
Constructor
Description
`LineageSequenceParser(File inFile)`
Creates new RawSequenceParser to parse the input fasta file.
`LineageSequenceParser(InputStream is)`
Creates new RawSequenceParser to parse the input fasta file.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the reader.
`boolean`
`hasNext()`
Returns true if there is a parsed sequence available.
`LineageSequence`
`next()`
Returns the next parsed sequence.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### delimiter

public static final String delimiter

See Also:
  - Constant Field Values

## Constructor Details

### LineageSequenceParser

public LineageSequenceParser(File inFile) throws IOException
Creates new RawSequenceParser to parse the input fasta file.

Throws:
  `IOException`

### LineageSequenceParser

public LineageSequenceParser(InputStream is) throws IOException
Creates new RawSequenceParser to parse the input fasta file.

Throws:
  `IOException`

## Method Details

### close

public void close() throws IOException
Closes the reader.

Throws:
  `IOException`

### hasNext

public boolean hasNext() throws IOException
Returns true if there is a parsed sequence available.

Throws:
  `IOException`

### next

public LineageSequence next() throws NoSuchElementException, IOException
Returns the next parsed sequence.

Throws:
  `NoSuchElementException`
  `IOException`